
package com.tmerclub.cloud.api.order.vo;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;
import java.util.List;
import java.util.Set;

/**
 * @author TRACK
 */
public class FormExcelParamVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 店铺ID
     */
    private Long shopId;


    /**
     * 时间周期 1:天 2:周 3:月
     */
    private Integer timeType;

    /**
     * 开始时间
     */
    private Date startTime;

    /**
     * 结束时间
     */
    private Date endTime;

    /**
     * 时间范围 1:近1天 2:近7天 3: 近30天
     */
    private Integer timeRange;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 下单金额
     */
    private Boolean orderAmount;
    /**
     * 下单笔数
     */
    private Boolean orderNums;

    /**
     * 下单商品数
     */
    private Boolean productNums;

    /**
     * 下单人数
     */
    private Boolean userNums;

    /**
     * 自营金额
     */
    private Boolean selfOperatedAmount;

    /**
     * 自营订单数
     */
    private Boolean selfOperatedOrderNums;

    /**
     * 自营商品数
     */
    private Boolean selfOperatedProductNums;

    /**
     * 自营下单人数
     */
    private Boolean selfOperatedUserNums;

    /**
     * 支付金额
     */
    private Boolean payAmount;

    /**
     * 支付订单数
     */
    private Boolean payOrderNums;

    /**
     * 支付商品数
     */
    private Boolean payProductNums;

    /**
     * 支付人数
     */
    private Boolean payUserNums;

    /**
     * 退款金额
     */
    private Boolean refundAmount;
    /**
     * 退款订单数
     */
    private Boolean refundOrderNums;

    /**
     * 报表项名称数组
     */
    private Set<String> formItemNames;

    /**
     * 报表项id集合
     */
    private List<Integer> formItemIdList;

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Integer getTimeType() {
        return timeType;
    }

    public void setTimeType(Integer timeType) {
        this.timeType = timeType;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Integer getTimeRange() {
        return timeRange;
    }

    public void setTimeRange(Integer timeRange) {
        this.timeRange = timeRange;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Boolean getOrderAmount() {
        return orderAmount;
    }

    public void setOrderAmount(Boolean orderAmount) {
        this.orderAmount = orderAmount;
    }

    public Boolean getOrderNums() {
        return orderNums;
    }

    public void setOrderNums(Boolean orderNums) {
        this.orderNums = orderNums;
    }

    public Boolean getProductNums() {
        return productNums;
    }

    public void setProductNums(Boolean productNums) {
        this.productNums = productNums;
    }

    public Boolean getUserNums() {
        return userNums;
    }

    public void setUserNums(Boolean userNums) {
        this.userNums = userNums;
    }

    public Boolean getSelfOperatedAmount() {
        return selfOperatedAmount;
    }

    public void setSelfOperatedAmount(Boolean selfOperatedAmount) {
        this.selfOperatedAmount = selfOperatedAmount;
    }

    public Boolean getSelfOperatedOrderNums() {
        return selfOperatedOrderNums;
    }

    public void setSelfOperatedOrderNums(Boolean selfOperatedOrderNums) {
        this.selfOperatedOrderNums = selfOperatedOrderNums;
    }

    public Boolean getSelfOperatedProductNums() {
        return selfOperatedProductNums;
    }

    public void setSelfOperatedProductNums(Boolean selfOperatedProductNums) {
        this.selfOperatedProductNums = selfOperatedProductNums;
    }

    public Boolean getSelfOperatedUserNums() {
        return selfOperatedUserNums;
    }

    public void setSelfOperatedUserNums(Boolean selfOperatedUserNums) {
        this.selfOperatedUserNums = selfOperatedUserNums;
    }

    public Boolean getPayAmount() {
        return payAmount;
    }

    public void setPayAmount(Boolean payAmount) {
        this.payAmount = payAmount;
    }

    public Boolean getPayOrderNums() {
        return payOrderNums;
    }

    public void setPayOrderNums(Boolean payOrderNums) {
        this.payOrderNums = payOrderNums;
    }

    public Boolean getPayProductNums() {
        return payProductNums;
    }

    public void setPayProductNums(Boolean payProductNums) {
        this.payProductNums = payProductNums;
    }

    public Boolean getPayUserNums() {
        return payUserNums;
    }

    public void setPayUserNums(Boolean payUserNums) {
        this.payUserNums = payUserNums;
    }

    public Boolean getRefundAmount() {
        return refundAmount;
    }

    public void setRefundAmount(Boolean refundAmount) {
        this.refundAmount = refundAmount;
    }

    public Boolean getRefundOrderNums() {
        return refundOrderNums;
    }

    public void setRefundOrderNums(Boolean refundOrderNums) {
        this.refundOrderNums = refundOrderNums;
    }

    public Set<String> getFormItemNames() {
        return formItemNames;
    }

    public void setFormItemNames(Set<String> formItemNames) {
        this.formItemNames = formItemNames;
    }

    public List<Integer> getFormItemIdList() {
        return formItemIdList;
    }

    public void setFormItemIdList(List<Integer> formItemIdList) {
        this.formItemIdList = formItemIdList;
    }

    @Override
    public String toString() {
        return "FormExcelParamVO{" +
                "shopId=" + shopId +
                ", timeType=" + timeType +
                ", startTime=" + startTime +
                ", endTime=" + endTime +
                ", timeRange=" + timeRange +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", orderAmount=" + orderAmount +
                ", orderNums=" + orderNums +
                ", productNums=" + productNums +
                ", userNums=" + userNums +
                ", selfOperatedAmount=" + selfOperatedAmount +
                ", selfOperatedOrderNums=" + selfOperatedOrderNums +
                ", selfOperatedProductNums=" + selfOperatedProductNums +
                ", selfOperatedUserNums=" + selfOperatedUserNums +
                ", payAmount=" + payAmount +
                ", payOrderNums=" + payOrderNums +
                ", payProductNums=" + payProductNums +
                ", payUserNums=" + payUserNums +
                ", refundAmount=" + refundAmount +
                ", refundOrderNums=" + refundOrderNums +
                ", formItemNames=" + formItemNames +
                ", formItemIdList=" + formItemIdList +
                '}';
    }
}
